// SPDX-License-Identifier: Zlib
/* ------------------------------------------------------------------------- */
/*!
 *  \file       message_data.h
 *  \brief      メッセージデータ
 *  \date       Since: February 18, 2023. 22:59:58 JST.
 *  \author     Acerola
 *  \note
 *      コンバータによる自動生成
 */
/* ------------------------------------------------------------------------- */

#ifndef INCGUARD_MESSAGE_DATA_H_BASE_1676728798
#define INCGUARD_MESSAGE_DATA_H_BASE_1676728798

namespace msgconv
{
//! メッセージID
enum class MsgID
{
    DoTextReplace,
    FailedToBuildMessagePool,
    FailedToBuildOffsetPool,
    FailedToCreateIDList,
    FailedToOpenFile,
    FailedToOutputBinaryFile,
    FailedToOutputLanguageID,
    FailedToOutputMessageID,
    FailedToReadCSV,
    FailedToReadFile,
    FailedToReadFontMetrics,
    FileIsNotFontMetrics,
    HashCollisionDetected,
    HelpText,
    InputFileIsNotSpecified,
    InvalidHashSeed,
    LanguageNotFound,
    MultipleInputFiles,
    NotReplacement,
    NotSpecifiedOutputName,
    NotSupportedIndededString,
    NotWorkCommandWithBinary,
    NotWorkCommandWithSource,
    OutputBinaryFile,
    OutputBufferOverflowDetected,
    OutputLanguageNameList,
    OutputMessageIDList,
    OutputMessageTable,
    ParameterIsMissing,
    Succeeded,
    UnknownCommandName,
    UnknownConditionName,
    UnregisterdCharacterDetected,
    UnsupportedMetricsFile,
    UseHashSeedValue,
    UseMetricsFile,
};

//! 言語ID
enum class LanguageID
{
    en_US,
    ja_JP,
};

const char *GetMessage(LanguageID langID, MsgID msgID) noexcept;

}   // namespace msgconv

#endif	// INCGUARD_MESSAGE_DATA_H_BASE_1676728798

// vim: et ts=4 sw=4 sts=4 ft=cpp
